# https://www-e.uni-magdeburg.de/jschulen/urz_hpc/kautz/index.html 2009-2017
#  
# compile on asgard (static)
CC=gcc492
MPICC=mpicc --cc=gcc492 -DMPICH_IGNORE_CXX_SEEK -DCONFIG_MPI=5832
#MPIEXEC=/usr/local/bin/mpirun -np 1
#
#
CFLAGS= -g -pedantic -Wno-long-long -O2
CFLAGS+= -Wall -Wno-unused-function -Wno-unknown-pragmas
CFLAGS+= -funroll-loops -ftree-vectorize -march=native -mtune=native
DFLAGS= 
#DFLAGS+= -DCFG_CPUSET=2 -D_GNU_SOURCE
DFLAGS+= -DCFG_STREAMS=1
DFLAGS+= -DNZXMAX=85
LIB=  -lm -g -lpthread
#LIB+= -static           # fails, missing symbols in libscmpi.a
#
# SC072   #   12nodes*1sock*6cores*1ht  4GB/node kautz-network
# SC5892  #  972nodes*1sock*6cores*1ht  4GB/node kautz-network
#
#DFLAGS+= -D_REENTRANT -DCONFIG_PTHREAD=6
DFLAGS+= -DNUM_AHEAD_LINES=4096

#DFLAGS += -DCFG_FTLM=1 -DLAPACK
#LIB+= ${MKL_LIB}

#DFLAGS+= -DCFG_PERF_TEST=1
